Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava.ast
Class Visitor

    java.lang.Object
      javafe.ast.Visitor
          escjava.ast.Visitor

public abstract class Visitor
extends Visitor

Constructor Summary
`Visitor()`

Method Summary
`abstract void` | `visitAnOverview(AnOverview x)`
`abstract void` | `visitArrayRangeRefExpr(ArrayRangeRefExpr x)`
`void` | `visitAssignCmd(AssignCmd x)`
`void` | `visitCall(Call x)`
`void` | `visitCmdCmdCmd(CmdCmdCmd x)`
`abstract void` | `visitCondExprModifierPragma(CondExprModifierPragma x)`
`abstract void` | `visitCondition(Condition x)`
`abstract void` | `visitDefPred(DefPred x)`
`abstract void` | `visitDefPredApplExpr(DefPredApplExpr x)`
`abstract void` | `visitDefPredLetExpr(DefPredLetExpr x)`
`abstract void` | `visitDependsPragma(DependsPragma x)`
`void` | `visitDynInstCmd(DynInstCmd x)`
`abstract void` | `visitEverythingExpr(EverythingExpr x)`
`void` | `visitExprCmd(ExprCmd x)`
`abstract void` | `visitExprDeclPragma(ExprDeclPragma x)`
`abstract void` | `visitExprModifierPragma(ExprModifierPragma x)`
`abstract void` | `visitExprStmtPragma(ExprStmtPragma x)`
`abstract void` | `visitGCExpr(GCExpr x)`
`void` | `visitGeneralizedQuantifiedExpr(GeneralizedQuantifiedExpr x)`
`void` | `visitGetsCmd(GetsCmd x)`
`abstract void` | `visitGhostDeclPragma(GhostDeclPragma x)`
`abstract void` | `visitGuardedCmd(GuardedCmd x)`
`abstract void` | `visitGuardExpr(GuardExpr x)`
`abstract void` | `visitIdentifierModifierPragma(IdentifierModifierPragma x)`
`abstract void` | `visitIdExprDeclPragma(IdExprDeclPragma x)`
`abstract void` | `visitImportPragma(ImportPragma x)`
`void` | `visitLabelExpr(LabelExpr x)`
`abstract void` | `visitLockSetExpr(LockSetExpr x)`
`void` | `visitLoopCmd(LoopCmd x)`
`abstract void` | `visitMapsExprModifierPragma(MapsExprModifierPragma x)`
`abstract void` | `visitModelConstructorDeclPragma(ModelConstructorDeclPragma x)`
`abstract void` | `visitModelDeclPragma(ModelDeclPragma x)`
`abstract void` | `visitModelMethodDeclPragma(ModelMethodDeclPragma x)`
`abstract void` | `visitModelProgamModifierPragma(ModelProgamModifierPragma x)`
`abstract void` | `visitModelTypePragma(ModelTypePragma x)`
`abstract void` | `visitModifiesGroupPragma(ModifiesGroupPragma x)`
`abstract void` | `visitNamedExprDeclPragma(NamedExprDeclPragma x)`
`void` | `visitNaryExpr(NaryExpr x)`
`abstract void` | `visitNestedModifierPragma(NestedModifierPragma x)`
`abstract void` | `visitNothingExpr(NothingExpr x)`
`abstract void` | `visitNotModifiedExpr(NotModifiedExpr x)`
`abstract void` | `visitNotSpecifiedExpr(NotSpecifiedExpr x)`
`abstract void` | `visitNowarnPragma(NowarnPragma x)`
`void` | `visitNumericalQuantifiedExpr(NumericalQuantifiedExpr x)`
`abstract void` | `visitParsedSpecs(ParsedSpecs x)`
`void` | `visitQuantifiedExpr(QuantifiedExpr x)`
`abstract void` | `visitReachModifierPragma(ReachModifierPragma x)`
`abstract void` | `visitRefinePragma(RefinePragma x)`
`abstract void` | `visitResExpr(ResExpr x)`
`void` | `visitRestoreFromCmd(RestoreFromCmd x)`
`void` | `visitSeqCmd(SeqCmd x)`
`abstract void` | `visitSetCompExpr(SetCompExpr x)`
`abstract void` | `visitSetStmtPragma(SetStmtPragma x)`
`void` | `visitSimpleCmd(SimpleCmd x)`
`abstract void` | `visitSimpleModifierPragma(SimpleModifierPragma x)`
`abstract void` | `visitSimpleStmtPragma(SimpleStmtPragma x)`
`abstract void` | `visitSkolemConstantPragma(SkolemConstantPragma x)`
`abstract void` | `visitSpec(Spec x)`
`abstract void` | `visitStillDeferredDeclPragma(StillDeferredDeclPragma x)`
`void` | `visitSubGetsCmd(SubGetsCmd x)`
`void` | `visitSubstExpr(SubstExpr x)`
`void` | `visitSubSubGetsCmd(SubSubGetsCmd x)`
`void` | `visitTypeExpr(TypeExpr x)`
`abstract void` | `visitVarDeclModifierPragma(VarDeclModifierPragma x)`
`abstract void` | `visitVarExprModifierPragma(VarExprModifierPragma x)`
`void` | `visitVarInCmd(VarInCmd x)`
`abstract void` | `visitWildRefExpr(WildRefExpr x)`

Methods inherited from class javafe.ast.Visitor
`visitAmbiguousMethodInvocation, visitAmbiguousVariableAccess, visitArrayInit, visitArrayRefExpr, visitArrayType, visitAssertStmt, visitASTNode, visitBinaryExpr, visitBlockStmt, visitBranchStmt, visitBreakStmt, visitCastExpr, visitCatchClause, visitClassDecl, visitClassDeclStmt, visitClassLiteral, visitCompilationUnit, visitCompoundName, visitCondExpr, visitConstructorDecl, visitConstructorInvocation, visitContinueStmt, visitDoStmt, visitErrorType, visitEvalStmt, visitExpr, visitExprObjectDesignator, visitFieldAccess, visitFieldDecl, visitFormalParaDecl, visitForStmt, visitGenericBlockStmt, visitGenericVarDecl, visitIfStmt, visitImportDecl, visitInitBlock, visitInstanceOfExpr, visitInterfaceDecl, visitLabelStmt, visitLexicalPragma, visitLiteralExpr, visitLocalVarDecl, visitMethodDecl, visitMethodInvocation, visitModifierPragma, visitName, visitNewArrayExpr, visitNewInstanceExpr, visitObjectDesignator, visitOnDemandImportDecl, visitParenExpr, visitPrimitiveType, visitReturnStmt, visitRoutineDecl, visitSimpleName, visitSingleTypeImportDecl, visitSkipStmt, visitStmt, visitStmtPragma, visitSuperObjectDesignator, visitSwitchLabel, visitSwitchStmt, visitSynchronizeStmt, visitThisExpr, visitThrowStmt, visitTryCatchStmt, visitTryFinallyStmt, visitType, visitTypeDecl, visitTypeDeclElemPragma, visitTypeModifierPragma, visitTypeName, visitTypeObjectDesignator, visitUnaryExpr, visitVarDeclStmt, visitVariableAccess, visitVarInit, visitWhileStmt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Visitor

    public Visitor()

Method Detail

### visitAnOverview

    public abstract void visitAnOverview(AnOverview x)

### visitGCExpr

    public abstract void visitGCExpr(GCExpr x)

### visitNaryExpr

    public void visitNaryExpr(NaryExpr x)

### visitQuantifiedExpr

    public void visitQuantifiedExpr(QuantifiedExpr x)

### visitGeneralizedQuantifiedExpr

    public void visitGeneralizedQuantifiedExpr(GeneralizedQuantifiedExpr x)

### visitNumericalQuantifiedExpr

    public void visitNumericalQuantifiedExpr(NumericalQuantifiedExpr x)

### visitSubstExpr

    public void visitSubstExpr(SubstExpr x)

### visitTypeExpr

    public void visitTypeExpr(TypeExpr x)

### visitLabelExpr

    public void visitLabelExpr(LabelExpr x)

### visitWildRefExpr

    public abstract void visitWildRefExpr(WildRefExpr x)

### visitGuardExpr

    public abstract void visitGuardExpr(GuardExpr x)

### visitResExpr

    public abstract void visitResExpr(ResExpr x)

### visitSetCompExpr

    public abstract void visitSetCompExpr(SetCompExpr x)

### visitLockSetExpr

    public abstract void visitLockSetExpr(LockSetExpr x)

### visitEverythingExpr

    public abstract void visitEverythingExpr(EverythingExpr x)

### visitNothingExpr

    public abstract void visitNothingExpr(NothingExpr x)

### visitNotSpecifiedExpr

    public abstract void visitNotSpecifiedExpr(NotSpecifiedExpr x)

### visitNotModifiedExpr

    public abstract void visitNotModifiedExpr(NotModifiedExpr x)

### visitArrayRangeRefExpr

    public abstract void visitArrayRangeRefExpr(ArrayRangeRefExpr x)

### visitDefPredLetExpr

    public abstract void visitDefPredLetExpr(DefPredLetExpr x)

### visitDefPredApplExpr

    public abstract void visitDefPredApplExpr(DefPredApplExpr x)

### visitGuardedCmd

    public abstract void visitGuardedCmd(GuardedCmd x)

### visitSimpleCmd

    public void visitSimpleCmd(SimpleCmd x)

### visitExprCmd

    public void visitExprCmd(ExprCmd x)

### visitAssignCmd

    public void visitAssignCmd(AssignCmd x)

### visitGetsCmd

    public void visitGetsCmd(GetsCmd x)

### visitSubGetsCmd

    public void visitSubGetsCmd(SubGetsCmd x)

### visitSubSubGetsCmd

    public void visitSubSubGetsCmd(SubSubGetsCmd x)

### visitRestoreFromCmd

    public void visitRestoreFromCmd(RestoreFromCmd x)

### visitVarInCmd

    public void visitVarInCmd(VarInCmd x)

### visitDynInstCmd

    public void visitDynInstCmd(DynInstCmd x)

### visitSeqCmd

    public void visitSeqCmd(SeqCmd x)

### visitLoopCmd

    public void visitLoopCmd(LoopCmd x)

### visitCmdCmdCmd

    public void visitCmdCmdCmd(CmdCmdCmd x)

### visitCall

    public void visitCall(Call x)

### visitExprDeclPragma

    public abstract void visitExprDeclPragma(ExprDeclPragma x)

### visitIdExprDeclPragma

    public abstract void visitIdExprDeclPragma(IdExprDeclPragma x)

### visitNamedExprDeclPragma

    public abstract void visitNamedExprDeclPragma(NamedExprDeclPragma x)

### visitModelDeclPragma

    public abstract void visitModelDeclPragma(ModelDeclPragma x)

### visitDependsPragma

    public abstract void visitDependsPragma(DependsPragma x)

### visitModelConstructorDeclPragma

    public abstract void visitModelConstructorDeclPragma(ModelConstructorDeclPragma x)

### visitModelTypePragma

    public abstract void visitModelTypePragma(ModelTypePragma x)

### visitModelMethodDeclPragma

    public abstract void visitModelMethodDeclPragma(ModelMethodDeclPragma x)

### visitGhostDeclPragma

    public abstract void visitGhostDeclPragma(GhostDeclPragma x)

### visitStillDeferredDeclPragma

    public abstract void visitStillDeferredDeclPragma(StillDeferredDeclPragma x)

### visitSimpleStmtPragma

    public abstract void visitSimpleStmtPragma(SimpleStmtPragma x)

### visitIdentifierModifierPragma

    public abstract void visitIdentifierModifierPragma(IdentifierModifierPragma x)

### visitExprStmtPragma

    public abstract void visitExprStmtPragma(ExprStmtPragma x)

### visitSetStmtPragma

    public abstract void visitSetStmtPragma(SetStmtPragma x)

### visitSkolemConstantPragma

    public abstract void visitSkolemConstantPragma(SkolemConstantPragma x)

### visitModelProgamModifierPragma

    public abstract void visitModelProgamModifierPragma(ModelProgamModifierPragma x)

### visitNestedModifierPragma

    public abstract void visitNestedModifierPragma(NestedModifierPragma x)

### visitParsedSpecs

    public abstract void visitParsedSpecs(ParsedSpecs x)

### visitSimpleModifierPragma

    public abstract void visitSimpleModifierPragma(SimpleModifierPragma x)

### visitExprModifierPragma

    public abstract void visitExprModifierPragma(ExprModifierPragma x)

### visitModifiesGroupPragma

    public abstract void visitModifiesGroupPragma(ModifiesGroupPragma x)

### visitCondExprModifierPragma

    public abstract void visitCondExprModifierPragma(CondExprModifierPragma x)

### visitMapsExprModifierPragma

    public abstract void visitMapsExprModifierPragma(MapsExprModifierPragma x)

### visitReachModifierPragma

    public abstract void visitReachModifierPragma(ReachModifierPragma x)

### visitVarDeclModifierPragma

    public abstract void visitVarDeclModifierPragma(VarDeclModifierPragma x)

### visitVarExprModifierPragma

    public abstract void visitVarExprModifierPragma(VarExprModifierPragma x)

### visitNowarnPragma

    public abstract void visitNowarnPragma(NowarnPragma x)

### visitImportPragma

    public abstract void visitImportPragma(ImportPragma x)

### visitRefinePragma

    public abstract void visitRefinePragma(RefinePragma x)

### visitSpec

    public abstract void visitSpec(Spec x)

### visitCondition

    public abstract void visitCondition(Condition x)

### visitDefPred

    public abstract void visitDefPred(DefPred x)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage